# Knative docs contributor guide

## Getting started

- [Code of Conduct](https://github.com/knative/community/blob/main/CODE-OF-CONDUCT.md)
- [Becoming a contributor](getting-started/becoming-a-contributor.md)
- [GitHub workflow for Knative documentation](getting-started/github-workflow.md)
- [Previewing the website locally](getting-started/previewing-docs-locally.md)
- [Formatting content](getting-started/formatting.md)
- [Navigation and redirects](getting-started/navigation-and-redirects.md)
- [Branches and cherrypicking](getting-started/branches-and-cherrypicking.md)


## What to contribute

- [Creating new documentation](what-to-contribute/creating-new-docs.md)
- [Creating blog posts](what-to-contribute/creating-blog-posts.md)
- [Creating code samples](what-to-contribute/creating-code-samples.md)


## Templates

- [Blog entry template](templates/template-blog-entry.md)
- [Concept template](templates/template-concept.md)
- [Procedure template](templates/template-procedure.md)
- [Troubleshooting template](templates/template-troubleshooting.md)


## Style

You don't need to read the whole style guide before contributing to Knative documentation.
Unpolished contributions delivered early are better than perfect contributions delivered late.

If you notice gaps in the style guide or have queries, please post in [the #knative-documentation Slack channel](https://cloud-native.slack.com/archives/C04LY5G9ED7).

- [Documenting code](style-guide/documenting-code.md)
- [Formatting standard and conventions](style-guide/style-and-formatting.md)
- [Voice and language](style-guide/voice-and-language.md)
- [Word and phrase list](style-guide/word-and-phrase-list.md)
- [Content re-use](style-guide/content-reuse.md)
- Using shortcodes (TBD)

## Maintainer guides

How-to guides for maintainers of the Knative docs repo and website:

- [Releasing a new version of the Knative documentation](docs-release-process.md)
