---
title: "Learn about Google Analytics cookies"
linkTitle: "Learn about cookies"
type: "docs"
---

By using this website, you are confirming that you accept our use of cookies for
the purposes of collecting anonymous usage data to improve the user experience and content
on the website.

Continue to sections below for details about knative.dev, or use the following resources to learn about cookies in general:

- Learn about basic site analytics usage at: [https://www.cookiechoices.org/](https://www.cookiechoices.org/)

- You can also watch a video about [how Google uses cookies](http://www.google.com/intl/en/policies/technologies/cookies/).

## What are cookies?

[Cookies](https://en.wikipedia.org/wiki/HTTP_cookie) are small pieces of data that is sent from a
website and stored on the user's computer by the user's web browser while that user is browsing.
Cookies were designed to be a reliable mechanism for websites to remember stateful information
or to record the user's browsing activity.

For example, a cookie can be used to determine if a user has already visited a page and whether or
not that user has already been presented with a certain notice or announcement. As a rule, cookies
will make your browsing experience better, like ensuring that those same notices or announcements
don't pop-up over every page.

Many sites use cookies and analytics. You might have agreed to their usage when you created an
account, used their service, or viewed their webpage (cookie consent notice).

However, you can choose to disable cookies on knative.dev, or any other website. The most
effective way to do this is to disable cookies in your browser but you can loose some website
behavior.

## What cookies are used on knative.dev

We use [Google Analytics](https://marketingplatform.google.com/about/analytics/) tracking on
knative.dev. These cookies are used to store information, such as what pages you visited and for
how long, whether you have been to the site before, and what site referred you to the web page.
We also learn about what types of content and topic areas you
are interested in, including what content or sections never get viewed or used.

These cookies contain no personally identifiable information (PII) but they will use your computer’s
IP address. For more information about the data collected, [view our Privacy Policy](https://policies.google.com/privacy).

If you prefer to view the Knative docs from within the [knative/docs
](https://github.com/knative/docs/tree/main/docs) GitHub repository,
view details about their cookies and tracking at
[GitHub Privacy Statement](https://help.github.com/en/github/site-policy/github-privacy-statement#what-information-github-collects).

## Options for opting out

Use the following options to prevent your data from being shared with websites.

### Opt-out Browser Add-on

You can use the Google Analytics Opt-out Browser Add-on to prevent your usage data from being
sent to Google Analytics. [Learn more, including how to install the add-on](http://tools.google.com/dlpage/gaoptout).

### Disabling cookies

You can manually restrict the use of cookies in your web browser. General details about how to
control cookie usage in your web browser are available at:

[Apple Safari](https://support.apple.com/guide/safari/manage-cookies-and-website-data-sfri11471/mac)

[Google Chrome](https://support.google.com/chrome/bin/answer.py?hl=en-GB&answer=95647&p=cpn_cookies)

[Microsoft Internet Explorer](https://support.microsoft.com/en-us/help/17442/windows-internet-explorer-delete-manage-cookies)

[Mozilla Firefox](https://support.mozilla.org/en-US/kb/block-websites-storing-cookies-site-data-firefox?redirectlocale=en-US&redirectslug=Blocking+cookies)
